Skip to content


Subversion checkout URL

You can clone with
Download ZIP


IE7 Javascript Errors #41

lucaspiller opened this Issue · 0 comments

2 participants


I understand that IE7 isn't supported, however I don't believe it is right that Kalendae throws Javascript errors (hence breaking any other Javascript on the page) when run on IE7. I think some sort of detection should be done to check whether the plugin is being run on an old version of IE (or other unsupported browser) and bail out if needs be.

Obviously with jQuery this is trivial with $.browser (I've done this in my own code that dynamically adds Kalendae to elements), however as the library has no deps I'm not quite sure of the best way in pure Javascript. To deal with old versions of IE this seems to do the trick at the top of the main function, however I'm not sure about other browsers:

if (typeof Element === "undefined") { return false; }
@ChiperSoft ChiperSoft closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.